package com.yihu.jw.entity.care.sign;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 *能力评估-认知能力表
 * Created by Bing on 2021/4/1.
 */
@Entity
@Table(name="base_capacity_assessment_cognitive_ability")
public class CapacityAssessmentCognitiveAbilityDo extends UuidIdentityEntityWithCreateTime {
    private String  assessmentYear;    //评估年份
    private Integer status; //状态 0失效 1有效
    private String  patient;    //
    private String  question1;  //问题一得分 总分3分
    private String  question2;  //问题二得分 总分5分
    private String  question3;  //问题三得分 总分5分
    private String  question4;  //问题四得分 总分3分
    private String  totalScore;    //认知能力 上述得分和
    private String  abilityGrade;  //能力等级:0能力完好(16);1轻度受损(13-15);2中度受损(9-12);3重度受损(≤8)

    public String getAssessmentYear() {
        return assessmentYear;
    }

    public void setAssessmentYear(String assessmentYear) {
        this.assessmentYear = assessmentYear;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getQuestion1() {
        return question1;
    }

    public void setQuestion1(String question1) {
        this.question1 = question1;
    }

    public String getQuestion2() {
        return question2;
    }

    public void setQuestion2(String question2) {
        this.question2 = question2;
    }

    public String getQuestion3() {
        return question3;
    }

    public void setQuestion3(String question3) {
        this.question3 = question3;
    }

    public String getQuestion4() {
        return question4;
    }

    public void setQuestion4(String question4) {
        this.question4 = question4;
    }

    public String getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(String totalScore) {
        this.totalScore = totalScore;
    }

    public String getAbilityGrade() {
        return abilityGrade;
    }

    public void setAbilityGrade(String abilityGrade) {
        this.abilityGrade = abilityGrade;
    }
}
